<?php 

define('_CONSTANT_', 1);

require_once '../../../core/start.php';

checkAuth();

head('Тренировка', 'Тренировка');

if (empty(isset($_GET['train']))) 
{
    ?> 
    <div class="wrap"> 
        Вы можете улучшить свои параметры за очки тренировки.<br/> 
        У вас: <?=$Filter->clearInt($user['train'])?>
    </div> 
    <div class="wrap">
        <?=ico('strike.png')?> Сила: <?=$Filter->clearInt($user['strike'])?><br/>
        <?=ico('train.png')?> Уровень: <?=$Filter->clearInt($user['train_strike'])?>/25
        <a href="<?=HOME?>/modules/user/train/index.php?train&amp;param=strike" class="link-touch">Улучшить за <?=ico('train.png')?>1</a> 
        <?=ico('defend.png')?> Защита: <?=$Filter->clearInt($user['defend'])?><br/>
        <?=ico('train.png')?> Уровень: <?=$Filter->clearInt($user['train_defend'])?>/25
        <a href="<?=HOME?>/modules/user/train/index.php?train&amp;param=defend" class="link-touch">Улучшить за <?=ico('train.png')?>1</a>
        <?=ico('health.png')?> Здоровье: <?=$Filter->clearInt($user['max_health'])?><br/>
        <?=ico('train.png')?> Уровень: <?=$Filter->clearInt($user['train_max_health'])?>/25
        <a href="<?=HOME?>/modules/user/train/index.php?train&amp;param=max_health" class="link-touch">Улучшить за <?=ico('train.png')?>1</a>
    </div>
    <?php
} 
else 
{
    $param = (!empty(isset($_GET['param'])) ? $Filter->clearString($_GET['param']) : null);
    $allowParam = ['strike', 'defend', 'max_health'];
    
    if (empty($param)) 
    {
        errorNoExit('Не получен параметр.');
    } 
    else if (!in_array($param, $allowParam)) 
    {
        errorNoExit('Получен не верный параметр.');
    } 
    else if ($user['train'] < 1) 
    {
        errorNoExit('Недостаточно очков тренировки.');
    } 
    else if ($user['train_'. $param] == 25) 
    {
        errorNoExit('Параметр прокачан на максимум.');
    }
    else 
    {
        DB::$dbs->query("UPDATE ". USERS ." SET `train` = ?, `". $param ."` = ?, `train_". $param ."` = ? WHERE `id` = ?", [($user['train'] - 1), ($user[$param] + 5), ($user['train_'. $param] + 1), $user['id']]);
        success('Параметр успешно улучшен.', '/modules/user/train/index.php', 'В тренировку');
    }
} 

require_once '../../../core/foot.php';